<%= form_with(model: quotation) do |form| %>
  <% if quotation.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(quotation.errors.count, "error") %> prohibited this quotation from being saved:</h2>

      <ul>
        <% quotation.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :author_name, style: "display: block" %>
    <%= form.text_field :author_name %>
  </div>

  <div>
    <%= form.label :category, style: "display: block" %>
    <%= form.text_field :category %>
  </div>

  <div>
    <%= form.label :quote, style: "display: block" %>
    <%= form.text_area :quote %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
